%define _with_systemd 1
%define _libdir /%{_lib}

%define         journalcfgdir    %{_sysconfdir}/systemd

Summary:	Enhanced system logging and kernel message trapping daemons
Name:		rsyslog
Version:	8.2204.1
Release:	%mkrel 1
License:	GPLv3
Group:		System/Kernel and hardware
URL:		https://www.rsyslog.com/
Source0:	https://www.rsyslog.com/files/download/%{name}/%{name}-%{version}.tar.gz
Source1:	rsyslog.service
Source2:	rsyslog.sysconfig
Source3:	rsyslog.conf
Source4:	00_common.conf
Source5:	01_mysql.conf
Source6:	02_pgsql.conf
Source7:	03_gssapi.conf
Source8:	04_relp.conf
Source9:	05_dbi.conf
Source10:	06_snmp.conf
Source11:	sysklogd.conf
Source12:	07_rsyslog.log
Source13:	08_gnutls.conf
Source14:	09_journald.conf

# (eatdirt) bash script to switch on and off ForwardToSyslog in systemd journal
#configuration file
Source15:	rsyslog_switchfwd

BuildRequires:	autoconf
BuildRequires:	automake
%ifnarch %arm %mips
%endif
BuildRequires:	krb5-devel
BuildRequires:	pkgconfig(dbi)
BuildRequires:	libtool
BuildRequires:	mysql-devel >= 4.0
BuildRequires:	net-snmp-devel
BuildRequires:	postgresql-devel
BuildRequires:	pkgconfig(relp)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	pkgconfig(libestr)
BuildRequires:	pkgconfig(liblogging-stdlog)
BuildRequires:	pkgconfig(libfastjson)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	python3dist(docutils)

Requires:	logrotate
Provides:	syslog-daemon

Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Requires(post): chkconfig
Requires(post): coreutils

Conflicts:	syslog-ng
Obsoletes:	rsyslog-docs < 8.2.2


%description
Rsyslog is an enhanced multi-threaded syslogd supporting, among others, MySQL,
PostgreSQL, syslog/tcp, RFC 3195, permitted sender lists, filtering on any
message part, and fine grain output format control. It is quite compatible to
stock sysklogd and can be used as a drop-in replacement. Its advanced features
make it suitable for enterprise-class, encryption protected syslog relay chains
while  at the same time being very easy to setup for the novice user.

 o lmnet.so     - Implementation of network related stuff.
 o lmregexp.so  - Implementation of regexp related stuff.
 o lmtcpclt.so  - This is the implementation of TCP-based syslog clients.
 o lmtcpsrv.so  - Common code for plain TCP based servers.
 o imtcp.so     - This is the implementation of the TCP input module.
 o imudp.so     - This is the implementation of the UDP input module.
 o imuxsock.so  - This is the implementation of the Unix sockets input module.
 o imklog.so    - The kernel log input module for Linux.
 o immark.so    - This is the implementation of the build-in mark message input
                  module.
 o imfile.so    - This is the input module for reading text file data.
 o imjournal.so - An input module to import systemd journal logs

%package	mysql
Summary:	MySQL support for rsyslog
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}-%{release}

%description	mysql
The rsyslog-mysql package contains a dynamic shared object that will add
MySQL database support to rsyslog.

 o ommysql.so - This is the implementation of the build-in output module for
                MySQL.

%package	pgsql
Summary:	PostgreSQL support for rsyslog
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}-%{release}

%description	pgsql
The rsyslog-pgsql package contains a dynamic shared object that will add
PostgreSQL database support to rsyslog.

 o ompgsql.so - This is the implementation of the build-in output module for
                PgSQL.

%package	gssapi
Summary:	GSS-API support for rsyslog
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}-%{release}

%description	gssapi
The rsyslog-gssapi package contains dynamic shared objects that will add
GSS-API support to rsyslog.

 o lmgssutil.so - This is a miscellaneous helper class for gss-api features.
 o imgssapi.so  - This is the implementation of the GSSAPI input module.
 o omgssapi.so  - This is the implementation of the build-in forwarding output
                  module.

%package	relp
Summary:	RELP support for rsyslog
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}-%{release}

%description	relp
The rsyslog-relp package contains a dynamic shared object that will add
RELP support to rsyslog.

 o imrelp.so - This is the implementation of the RELP input module.
 o omrelp.so - This is the implementation of the RELP output module.

%package	dbi
Summary:	Dbi support for rsyslog
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}-%{release}

%description	dbi
The rsyslog-dbi package contains a dynamic shared object that will add
dbi driver support to rsyslog.

 o omlibdbi.so - This is the implementation of the dbi output module.

%package	snmp
Summary:	SNMP support for rsyslog
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}-%{release}

%description	snmp
The rsyslog-snmp package contains a dynamic shared object that will add
SNMP support to rsyslog.

 o omsnmp.so - This module sends an snmp trap.

%package	gnutls
Summary:	GnuTLS support for rsyslog
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}-%{release}

%description	gnutls
The rsyslog-gnutls package contains a dynamic shared object that will add
GnuTLS support to rsyslog.

 o lmnsd_gtls.so - This is the implementation of the GnuTLS module.

%package	crypto
Summary:	Encryption support for rsyslog
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}-%{release}

%description	crypto
This package contains a module providing log file encryption and a
command line tool to process encrypted logs.

%package	elasticsearch
Summary:	ElasticSearch output module for rsyslog
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}-%{release}

%description	elasticsearch
This module provides the capability for rsyslog to feed logs directly into
Elasticsearch.

%package	journald
Summary:	Systemd journal support for rsyslog
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}-%{release}

%description journald
Provides the ability to import structured log messages from systemd
journal to rsyslog (and conversely). Note that this module reads the
journal database, what is considered a relatively performance-intense
operation. As such, the performance of a configuration utilizing this
module may be notably slower. Some versions of systemd journal have
problems with database corruption, which leads to the journal to
return the same data endlessly in a tight loop. It is strongly
recommended to use this plugin only if there is hard need to do so.


%prep
%autosetup -p1

mkdir -p Mageia
cp %{SOURCE4} Mageia/00_common.conf
cp %{SOURCE5} Mageia/01_mysql.conf
cp %{SOURCE6} Mageia/02_pgsql.conf
cp %{SOURCE7} Mageia/03_gssapi.conf
cp %{SOURCE8} Mageia/04_relp.conf
cp %{SOURCE9} Mageia/05_dbi.conf
cp %{SOURCE10} Mageia/06_snmp.conf
cp %{SOURCE13} Mageia/08_gnutls.conf
cp %{SOURCE14} Mageia/09_journald.conf

%build
%serverbuild

export CFLAGS="%{optflags} -Wno-error"

%configure \
%if %{_with_systemd}
    --with-systemdsystemunitdir=%{_unitdir} \
%endif
    --disable-static \
    --sbindir=/sbin \
    --enable-largefile \
    --enable-regexp \
    --enable-gssapi-krb5 \
    --enable-klog \
    --enable-inet \
    --enable-mysql \
    --enable-pgsql \
    --enable-libdbi \
    --enable-snmp \
    --enable-rsyslogd \
    --enable-mail \
    --enable-relp \
    --enable-imfile \
    --enable-gnutls \
    --enable-elasticsearch \
    --enable-generate-man-pages \
    --enable-usertools \
    --enable-libgcrypt \
    --enable-imjournal \
    --enable-omjournal
%make_build

%install
%make_install

install -d -m 755 %{buildroot}%{_sysconfdir}/sysconfig
install -d -m 755 %{buildroot}%{_sysconfdir}/logrotate.d
install -d -m 755 %{buildroot}%{_unitdir}
install -d -m 755 %{buildroot}%{_sysconfdir}/rsyslog.d
install -d -m 755 %{buildroot}%{_sysconfdir}/pki
install -d -m 755 %{buildroot}%{_sysconfdir}/pki/tls
install -d -m 755 %{buildroot}%{_sysconfdir}/pki/tls/certs
install -d -m 755 %{buildroot}%{_sysconfdir}/pki/tls/private

install -p -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/rsyslog.service
install -p -m 644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/sysconfig/rsyslog
install -p -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/rsyslog.conf
install -p -m 644 %{SOURCE11} %{buildroot}%{_sysconfdir}/syslog.conf
install -p -m 644 %{SOURCE12} %{buildroot}%{_sysconfdir}/logrotate.d/rsyslog
install -p -m 644 Mageia/*_*.conf %{buildroot}%{_sysconfdir}/rsyslog.d/

install -p -m 644 contrib/gnutls/ca.pem \
	%{buildroot}%{_sysconfdir}/pki/tls/certs/rsyslog-ca.crt
install -p -m 644 contrib/gnutls/cert.pem \
	%{buildroot}%{_sysconfdir}/pki/tls/certs/rsyslog.crt
install -p -m 600 contrib/gnutls/key.pem \
	%{buildroot}%{_sysconfdir}/pki/tls/private/rsyslog.key
# (eatdirt)
%__install -D -p -m 755 %{SOURCE15} %{buildroot}%{_sbindir}/rsyslog_switchfwd

#get rid of *.la
find %{buildroot} -name '*.la' -delete

# cleanup
rm -f %{buildroot}%{_libdir}/rsyslog/imtemplate.so

%post

# (eatdirt)
# switch ForwardToSyslog=yes in /etc/systemd/journald.conf + backup
%{_sbindir}/rsyslog_switchfwd %{journalcfgdir} on
# restart systemd-journal
/bin/systemctl try-restart systemd-journald || :

%_post_service rsyslog
# (cg) Handle a quirk of syslog service installations
if [ -f %{_sysconfdir}/systemd/system/multi-user.target.wants/%{name}.service -a ! -f %{_sysconfdir}/systemd/system/syslog.service ]; then
  cp -a %{_sysconfdir}/systemd/system/multi-user.target.wants/%{name}.service %{_sysconfdir}/systemd/system/syslog.service
fi

for n in /var/log/{messages,secure,maillog,spooler}; do
    [ -f $n ] && continue
    umask 066 && touch $n
done

%preun
%_preun_service rsyslog

#(eatdirt)
#restore the previously saved /etc/systemd/journald.conf file
if [ "$1" -eq "0" ]; then
  %{_sbindir}/rsyslog_switchfwd %{journalcfgdir} off

# restart systemd-journal
  /bin/systemctl try-restart systemd-journald || :
fi

%postun
if [ "$1" -ge "1" ]; then
    /bin/systemctl try-restart rsyslog.service || :
fi

%post mysql
/bin/systemctl try-restart rsyslog.service || :

%preun mysql
if [ "$1" = 0 ]; then
    /bin/systemctl try-restart rsyslog.service || :
fi

%post pgsql
    /bin/systemctl try-restart rsyslog.service || :

%preun pgsql
if [ "$1" = 0 ]; then
    /bin/systemctl try-restart rsyslog.service || :
fi

%post gssapi
/bin/systemctl try-restart rsyslog.service || :

%preun gssapi
if [ "$1" = 0 ]; then
    /bin/systemctl try-restart rsyslog.service || :
fi

%post relp
/bin/systemctl try-restart rsyslog.service || :

%preun relp
if [ "$1" = 0 ]; then
    /bin/systemctl try-restart rsyslog.service || :
fi

%post dbi
/bin/systemctl try-restart rsyslog.service || :

%preun dbi
if [ "$1" = 0 ]; then
    /bin/systemctl try-restart rsyslog.service || :
fi

%post snmp
/bin/systemctl try-restart rsyslog.service || :

%preun snmp
if [ "$1" = 0 ]; then
    /bin/systemctl try-restart rsyslog.service || :
fi

%post gnutls
/bin/systemctl try-restart rsyslog.service || :

%preun gnutls
if [ "$1" = 0 ]; then
    /bin/systemctl try-restart rsyslog.service || :
fi

%post journald
/bin/systemctl try-restart rsyslog.service || :

%preun journald
if [ "$1" = 0 ]; then
    /bin/systemctl try-restart rsyslog.service || :
fi

%files
%doc AUTHORS ChangeLog README
%config(noreplace) %{_sysconfdir}/rsyslog.conf
%config(noreplace) %{_sysconfdir}/syslog.conf
%config(noreplace) %{_sysconfdir}/sysconfig/rsyslog
%config(noreplace) %{_sysconfdir}/logrotate.d/rsyslog
%dir %{_sysconfdir}/rsyslog.d
%config(noreplace) %{_sysconfdir}/rsyslog.d/*_common.conf
%if %{_with_systemd}
%{_unitdir}/rsyslog.service
%endif
/sbin/rsyslogd
%{_sbindir}/rsyslog_switchfwd
%dir %{_libdir}/rsyslog
%{_libdir}/rsyslog/imfile.so
%{_libdir}/rsyslog/imklog.so
%{_libdir}/rsyslog/immark.so
%{_libdir}/rsyslog/imtcp.so
%{_libdir}/rsyslog/imudp.so
%{_libdir}/rsyslog/imuxsock.so
%{_libdir}/rsyslog/lmnet.so
%{_libdir}/rsyslog/lmnetstrms.so
%{_libdir}/rsyslog/lmnsd_ptcp.so
%{_libdir}/rsyslog/lmregexp.so
%{_libdir}/rsyslog/lmtcpclt.so
%{_libdir}/rsyslog/lmzlibw.so
%{_libdir}/rsyslog/lmtcpsrv.so
%{_libdir}/rsyslog/mmexternal.so
%{_libdir}/rsyslog/omtesting.so
%{_libdir}/rsyslog/ommail.so
%{_libdir}/rsyslog/fmhttp.so
%{_libdir}/rsyslog/fmhash.so
%{_mandir}/*/*

%files mysql
%doc plugins/ommysql/createDB.sql
%config(noreplace) %{_sysconfdir}/rsyslog.d/*_mysql.conf
%{_libdir}/rsyslog/ommysql.so

%files pgsql
%doc plugins/ompgsql/createDB.sql
%config(noreplace) %{_sysconfdir}/rsyslog.d/*_pgsql.conf
%{_libdir}/rsyslog/ompgsql.so

%files gssapi
%config(noreplace) %{_sysconfdir}/rsyslog.d/*_gssapi.conf
%{_libdir}/rsyslog/omgssapi.so
%{_libdir}/rsyslog/imgssapi.so
%{_libdir}/rsyslog/lmgssutil.so

%files relp
%config(noreplace) %{_sysconfdir}/rsyslog.d/*_relp.conf
%{_libdir}/rsyslog/imrelp.so
%{_libdir}/rsyslog/omrelp.so

%files dbi
%config(noreplace) %{_sysconfdir}/rsyslog.d/*_dbi.conf
%{_libdir}/rsyslog/omlibdbi.so

%files snmp
%config(noreplace) %{_sysconfdir}/rsyslog.d/*_snmp.conf
%{_libdir}/rsyslog/omsnmp.so

%files gnutls
%config(noreplace) %{_sysconfdir}/rsyslog.d/*_gnutls.conf
%config(noreplace) %{_sysconfdir}/pki/tls/certs/rsyslog-ca.crt
%config(noreplace) %{_sysconfdir}/pki/tls/certs/rsyslog.crt
%config(noreplace) %{_sysconfdir}/pki/tls/private/rsyslog.key
%{_libdir}/rsyslog/lmnsd_gtls.so

%files crypto
%{_bindir}/rscryutil
%{_mandir}/man1/rscryutil.1.*
%{_libdir}/rsyslog/lmcry_gcry.so

%files elasticsearch
%{_libdir}/rsyslog/omelasticsearch.so

%files journald
%config(noreplace) %{_sysconfdir}/rsyslog.d/*_journald.conf
%{_libdir}/rsyslog/omjournal.so
%{_libdir}/rsyslog/imjournal.so


%changelog
* Thu May 05 2022 neoclust <neoclust> 8.2204.1-1.mga8
+ Revision: 1856408
- New version 8.2204.1: Fixes CVE-2022-24903 (mga#30383)

* Wed Dec 30 2020 luigiwalser <luigiwalser> 8.2012.0-1.mga8
+ Revision: 1665926
- 8.2012.0

* Thu Nov 19 2020 luigiwalser <luigiwalser> 8.2010.0-1.mga8
+ Revision: 1647427
- 8.2010.0

* Tue Nov 03 2020 akien <akien> 8.2008.0-2.mga8
+ Revision: 1642101
- Rebuild for new libnetsnmp

* Sat Sep 26 2020 luigiwalser <luigiwalser> 8.2008.0-1.mga8
+ Revision: 1630644
- 8.2008.0
- add service file back thanks to fedora (removed upstream)

* Wed Aug 05 2020 joequant <joequant> 8.2006.0-1.mga8
+ Revision: 1611144
- update to 8.2006.0
- rebuild
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Tue Feb 18 2020 umeabot <umeabot> 8.40.0-6.mga8
+ Revision: 1540108
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Dec 15 2019 daviddavid <daviddavid> 8.40.0-5.mga8
+ Revision: 1467331
- add upstream patches to fix CVE-2019-17041 and CVE-2019-17042 (mga#25811)

* Wed Apr 24 2019 daviddavid <daviddavid> 8.40.0-4.mga7
+ Revision: 1395165
- rebuild for bad signatures (mga#24709)

* Wed Jan 23 2019 daviddavid <daviddavid> 8.40.0-3.mga7
+ Revision: 1360334
- rst2man is now provided by python3-docutils

* Sat Dec 29 2018 luigiwalser <luigiwalser> 8.40.0-2.mga7
+ Revision: 1346034
- rebuild for net-snmp

* Sat Dec 29 2018 luigiwalser <luigiwalser> 8.40.0-1.mga7
+ Revision: 1345922
- 8.40.0

* Thu Nov 01 2018 daviddavid <daviddavid> 8.39.0-1.mga7
+ Revision: 1327130
- new version: 8.39.0

* Wed Sep 19 2018 daviddavid <daviddavid> 8.38.0-1.mga7
+ Revision: 1266636
- new version: 8.38.0

* Sat Sep 15 2018 daviddavid <daviddavid> 8.37.0-1.mga7
+ Revision: 1259001
- new version: 8.37.0

* Tue Apr 17 2018 kekepower <kekepower> 8.34.0-1.mga7
+ Revision: 1219732
- Update to version 8.34.0

* Sat Dec 23 2017 wally <wally> 8.16.0-2.mga7
+ Revision: 1184224
- rebuild for new mariadb

* Sun Feb 28 2016 oden <oden> 8.16.0-1.mga6
+ Revision: 980326
- 8.16.0
+ luigiwalser <luigiwalser>
- revert using systemctl to HUP rsyslog daemon

* Mon Jan 11 2016 luigiwalser <luigiwalser> 8.15.0-2.mga6
+ Revision: 921836
- rebuild for gnutls

* Sat Dec 26 2015 luigiwalser <luigiwalser> 8.15.0-1.mga6
+ Revision: 915220
- 8.15.0
- sync fixes for rsyslog logrotate config from fedora
- remove patch 1 (fixed upstream)
- remove invalid configure options
- enable man pages

* Tue Nov 25 2014 cjw <cjw> 8.4.2-6.mga6
+ Revision: 799071
- rebuild against postgresql9.4

* Fri Oct 31 2014 pterjan <pterjan> 8.4.2-5.mga5
+ Revision: 794914
- Drop no longer needed BuildRequires on java-rpmbuild

* Fri Oct 17 2014 cjw <cjw> 8.4.2-4.mga5
+ Revision: 778325
- fix preun script for upgrades so syslog forwarding doesn't get disabled

* Wed Oct 15 2014 umeabot <umeabot> 8.4.2-3.mga5
+ Revision: 748777
- Second Mageia 5 Mass Rebuild

* Tue Oct 07 2014 eatdirt <eatdirt> 8.4.2-2.mga5
+ Revision: 737438
- Added imjournal module and scriptlet to switch on/off forwarding from systemd-journald

* Fri Oct 03 2014 oden <oden> 8.4.2-1.mga5
+ Revision: 736401
- 8.4.2 (fixes CVE-2014-3683)

* Wed Oct 01 2014 luigiwalser <luigiwalser> 8.4.1-1.mga5
+ Revision: 733915
- 8.4.1 (fixes CVE-2014-3634)
- rediff patch 0 (systemd patch)
- remove upstreamed patches 1 and 3

* Tue Sep 16 2014 umeabot <umeabot> 8.4.0-2.mga5
+ Revision: 688729
- Mageia 5 Mass Rebuild

* Fri Sep 05 2014 diogenese <diogenese> 8.4.0-1.mga5
+ Revision: 672347
- Updated source to 8.4.0
- Updated conf files to use RainerScript
- Added upstream patch for json tokener error

* Wed Jul 02 2014 pterjan <pterjan> 8.2.2-1.mga5
+ Revision: 642076
- 8.2.2

* Fri Oct 18 2013 umeabot <umeabot> 5.10.1-3.mga4
+ Revision: 518139
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 5.10.1-2.mga3
+ Revision: 380542
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 30 2012 luigiwalser <luigiwalser> 5.10.1-1.mga3
+ Revision: 311659
- 5.10.1
+ guillomovitch <guillomovitch>
- use canonical macro for systemd path

* Thu Aug 09 2012 guillomovitch <guillomovitch> 5.8.12-2.mga3
+ Revision: 280140
- drop sysinit support

* Sat Jul 14 2012 luigiwalser <luigiwalser> 5.8.12-1.mga3
+ Revision: 270794
- 5.8.12

* Thu Jul 05 2012 colin <colin> 5.8.11-2.mga3
+ Revision: 267901
- Drop an unneeded ExecStartPre= in .service file (since systemd v38)

* Mon Jun 11 2012 luigiwalser <luigiwalser> 5.8.11-1.mga3
+ Revision: 259584
- 5.8.11

* Sat Apr 28 2012 tmb <tmb> 5.8.10-4.mga2
+ Revision: 233853
- Require rpm-helper >= 0.24.8-1 for systemd support

* Sat Apr 21 2012 colin <colin> 5.8.10-3.mga2
+ Revision: 232369
- Use macros in post script.

* Sat Apr 21 2012 colin <colin> 5.8.10-2.mga2
+ Revision: 232364
- Handle a the special case of syslog.service during systemd migration

* Sun Apr 15 2012 luigiwalser <luigiwalser> 5.8.10-1.mga2
+ Revision: 230824
- 5.8.10
- add missing BuildRequires libgcrypt-devel
+ mcb30 <mcb30>
- Enable GnuTLS support (lmnsd_gtls.so)

* Sun Apr 01 2012 colin <colin> 5.8.9-2.mga2
+ Revision: 227728
- Let rsyslog read kernel messages again (journald doesn't really do the job well) mga#4131

* Mon Mar 26 2012 colin <colin> 5.8.9-1.mga2
+ Revision: 226506
- New version: 5.8.9

* Sun Mar 11 2012 colin <colin> 5.8.8-1.mga2
+ Revision: 222793
- New version: 5.8.8 (better systemd integration)

* Sun Feb 19 2012 luigiwalser <luigiwalser> 5.8.7-1.mga2
+ Revision: 210573
- 5.8.7

* Thu Feb 16 2012 colin <colin> 5.8.6-2.mga2
+ Revision: 209728
- Do not enable kernel logging by default. Systemd's journal does that now.

* Tue Nov 01 2011 dmorgan <dmorgan> 5.8.6-1.mga2
+ Revision: 161139
- New version 5.8.6
- modify logrotate configuration to omit boot.log
  Resolves: RHBZ #745093

* Sun Oct 30 2011 blino <blino> 5.8.5-6.mga2
+ Revision: 159899
- require sysvinit for scriptlets

* Fri Oct 28 2011 dmorgan <dmorgan> 5.8.5-5.mga2
+ Revision: 158900
- Fix service start during update

* Thu Oct 27 2011 dmorgan <dmorgan> 5.8.5-4.mga2
+ Revision: 158862
- Allow to be installable w/o systemd

* Thu Oct 27 2011 dmorgan <dmorgan> 5.8.5-3.mga2
+ Revision: 158781
- Rebuild now that the chroot is fixed

* Thu Oct 27 2011 dmorgan <dmorgan> 5.8.5-2.mga2
+ Revision: 158756
- Enable systemd support
- Apply P0
  Fix buildrequires

* Fri Sep 02 2011 misc <misc> 5.8.5-1.mga2
+ Revision: 137956
- remove old trigger, not needed in cauldron since we no longer
  support upgrading from very old mandriva
- prune old conflicts
- new version 5.8.5 ( security fix )

* Wed Aug 31 2011 colin <colin> 5.8.4-1.mga2
+ Revision: 137149
- New version: 5.8.4
- Add support for systemd
+ guillomovitch <guillomovitch>
- rebuild for latest net-snmp
+ rapsys <rapsys>
- Remove mdv ref

* Fri Mar 25 2011 dmorgan <dmorgan> 5.6.2-4.mga1
+ Revision: 77246
- Rebuild against new mysql

* Fri Jan 28 2011 rtp <rtp> 5.6.2-3.mga1
+ Revision: 42986
- fix typo
- disable java on arm/mips
+ dmorgan <dmorgan>
- Bump release
- Update patches from mdv
- Sync with mdv changes for systemd ( not yet activated)

* Fri Jan 14 2011 ahmad <ahmad> 5.6.2-2.mga1
+ Revision: 17844
- imported package rsyslog


* Wed Dec 29 2010 Eugeni Dodonov <eugeni@mandriva.com> 5.6.2-1mdv2011.0
+ Revision: 626005
- Updated to 5.6.2.

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 4.6.5-2mdv2011.0
+ Revision: 614429
- stupid build system
- 4.6.5

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 4.6.4-3mdv2011.0
+ Revision: 609662
- rebuilt against new libdbi

* Tue Oct 12 2010 Funda Wang <fwang@mandriva.org> 4.6.4-2mdv2011.0
+ Revision: 585014
- rebuild

* Sat Aug 28 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.4-1mdv2011.0
+ Revision: 573964
- update to new version 4.6.4

* Sat Jul 10 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.3-1mdv2011.0
+ Revision: 550152
- update to new version 4.6.3

* Tue Apr 27 2010 Christophe Fergeau <cfergeau@mandriva.com> 4.6.2-3mdv2010.1
+ Revision: 539599
- rebuild so that shared libraries are properly stripped again

* Thu Apr 22 2010 Pascal Terjan <pterjan@mandriva.org> 4.6.2-2mdv2010.1
+ Revision: 537780
- Write data to file at the end of each transaction (#58468)

* Mon Mar 29 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.2-1mdv2010.1
+ Revision: 528659
- update to new version 4.6.2

* Thu Mar 04 2010 Frederic Crozat <fcrozat@mandriva.com> 4.6.1-1mdv2010.1
+ Revision: 514084
- Release 4.6.1
- enable back serverbuild, fixed in 4.6.1 (thanks to Yann Droneaud)

* Tue Mar 02 2010 Frederic Crozat <fcrozat@mandriva.com> 4.6.0-2mdv2010.1
+ Revision: 513597
- temporary disable full stack protection, causes crashes (upstream bug http://bugzilla.adiscon.com/show_bug.cgi?id=182)

* Wed Feb 24 2010 Frederik Himpe <fhimpe@mandriva.org> 4.6.0-1mdv2010.1
+ Revision: 510818
- Update to new version 4.6.0
- Remove old, unneeded Fedora patch

* Wed Feb 17 2010 Oden Eriksson <oeriksson@mandriva.com> 4.4.2-6mdv2010.1
+ Revision: 507043
- rebuild

* Wed Nov 25 2009 Frederik Himpe <fhimpe@mandriva.org> 4.4.2-5mdv2010.1
+ Revision: 470110
- Rebuild for main
- Preserve remote syslog server setting from sysklogd

* Fri Nov 20 2009 Frederik Himpe <fhimpe@mandriva.org> 4.4.2-3mdv2010.1
+ Revision: 467753
- Obsolete sysklogd
- Don't try to migrate /etc/sysconfig/syslog to /etc/sysconfig/rsyslog,
  they are totally different
- Start rsyslog on upgrade from sysklogd if sysklogd was running

* Thu Oct 15 2009 Oden Eriksson <oeriksson@mandriva.com> 4.4.2-2mdv2010.0
+ Revision: 457696
- rebuild

* Fri Oct 09 2009 Frederik Himpe <fhimpe@mandriva.org> 4.4.2-1mdv2010.0
+ Revision: 456417
- update to new version 4.4.2

* Thu Sep 10 2009 Frederik Himpe <fhimpe@mandriva.org> 4.4.1-2mdv2010.0
+ Revision: 437130
- Use -c4 option to prevent warning about deprecated configuration

* Wed Sep 02 2009 Frederik Himpe <fhimpe@mandriva.org> 4.4.1-1mdv2010.0
+ Revision: 425455
- update to new version 4.4.1

* Fri Aug 21 2009 Frederik Himpe <fhimpe@mandriva.org> 4.4.0-1mdv2010.0
+ Revision: 419392
- Fix BuildRequires
- Update to new version 4.4.0

* Tue Jun 23 2009 Frederik Himpe <fhimpe@mandriva.org> 4.2.0-1mdv2010.0
+ Revision: 388745
- Update to new version 4.20, first stable, production ready release in v4
  branch
- Remove imudp patch included upstream

* Sat May 16 2009 Frederik Himpe <fhimpe@mandriva.org> 3.22.0-1mdv2010.0
+ Revision: 376421
- Sync file list in logrotate configuration with sysklogd package:
  so that all log files are rotated correctly
- Update to new stable version 3.22.0
- Remove patch integrated upstream
- Add upstream patch (via Debian) which fixes a segfault in imudp
  when multiple udp listeners are configured

* Thu Mar 26 2009 Frederik Himpe <fhimpe@mandriva.org> 3.21.10-3mdv2009.1
+ Revision: 361489
- Add Fedora patch fixing RH bug #485937
- Sync init script LSB headers with Fedora's: now rsyslog does not
  depend anymore on network which will speed up the boot procedure a lot
- Conflict with sysklogd and syslog-ng: as they do the same thing, it makes
  no sense having them installed together. Also this caused duplication in
  the logrotation configuration, completely breaking logrotate (bug #39426)
- Add some missing log files to logrotate configuration

* Thu Feb 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 3.21.10-2mdv2009.1
+ Revision: 337995
- Add support for runlevel 7

* Tue Feb 03 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 3.21.10-1mdv2009.1
+ Revision: 336948
- update to new version 3.21.10

* Mon Jan 19 2009 Jérôme Soyer <saispo@mandriva.org> 3.20.3-1mdv2009.1
+ Revision: 331181
- New upstream release

* Sat Dec 06 2008 Oden Eriksson <oeriksson@mandriva.com> 3.20.2-1mdv2009.1
+ Revision: 311491
- 3.20.2
- 3.20.1

* Sat Dec 06 2008 Oden Eriksson <oeriksson@mandriva.com> 3.20.0-2mdv2009.1
+ Revision: 311317
- rebuilt against mysql-5.1.30 libs

* Thu Nov 06 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.20.0-1mdv2009.1
+ Revision: 300325
- update to new version 3.20.0

* Tue Oct 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.19.12-1mdv2009.1
+ Revision: 296223
- fix file list
- provide logrotate conf file
- update to new version 3.19.12

* Fri Oct 10 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.18.5-1mdv2009.1
+ Revision: 291516
- update to new version 3.18.5
- update to new version 3.18.4

* Mon Aug 18 2008 Frederik Himpe <fhimpe@mandriva.org> 3.18.3-1mdv2009.0
+ Revision: 273386
- update to new version 3.18.3

* Wed Aug 13 2008 Frederik Himpe <fhimpe@mandriva.org> 3.18.2-1mdv2009.0
+ Revision: 271579
- update to new version 3.18.2

* Tue Jul 22 2008 Funda Wang <fwang@mandriva.org> 3.18.1-1mdv2009.0
+ Revision: 239940
- New version 3.18.1

* Sat Jul 19 2008 Oden Eriksson <oeriksson@mandriva.com> 3.18.0-1mdv2009.0
+ Revision: 238712
- added the mail plugin feature
- added the sysklogd.conf file from the sysklogd package

* Sat Jul 12 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.18.0-0.1mdv2009.0
+ Revision: 234124
- Patch0: rediff
- update to new version 3.18.0
- new license policy
- do not package COPYING and INSTALL files

* Sat May 03 2008 Oden Eriksson <oeriksson@mandriva.com> 3.16.1-0.1mdv2009.0
+ Revision: 200689
- 3.16.1
- sync with rsyslog-3.14.1-2.fc9.src.rpm
- fix order in S3
- added S4-S10 to take advantage of the new modular design
- fix descriptions
- added the relp, dbi and snmp sub packages
- fix %%post and %%preun script for the modules
- put the modules in /%%{_lib}/rsyslog/ to avoid future problems
  if /usr for some reason should not be mounted at boot...

* Mon Jan 28 2008 Olivier Blin <oblin@mandriva.com> 2.0.1-2mdv2008.1
+ Revision: 159377
- create /etc/rsyslog.d and include /etc/rsyslog.d/*.conf from rsyslog.conf
- restore syslog.conf on upgrade of previous rsyslog package
- include syslog.conf in rsyslog.conf instead of moving the file, to ease cohabitation of sysklogd and rsyslog packages
- do not remove original /etc/sysconfig/syslog
- migrate sysklogd configuration files in initial installation only

* Thu Jan 24 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-1mdv2008.1
+ Revision: 157600
- 2.0.1 (3.x.x is the unstable branch)

  + Olivier Blin <oblin@mandriva.com>
    - 3.10.2

* Wed Jan 02 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-1mdv2008.1
+ Revision: 140614
- 2.0.0

* Sat Dec 29 2007 Oden Eriksson <oeriksson@mandriva.com> 1.21.2-1mdv2008.1
+ Revision: 139317
- 1.21.2

* Mon Dec 24 2007 Oden Eriksson <oeriksson@mandriva.com> 1.21.1-1mdv2008.1
+ Revision: 137430
- 1.21.1

* Wed Dec 19 2007 Oden Eriksson <oeriksson@mandriva.com> 1.21.0-1mdv2008.1
+ Revision: 134359
- 1.21.0
- enable all features

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 13 2007 Oden Eriksson <oeriksson@mandriva.com> 1.20.1-1mdv2008.1
+ Revision: 119281
- 1.20.1

* Fri Dec 07 2007 Oden Eriksson <oeriksson@mandriva.com> 1.20.0-1mdv2008.1
+ Revision: 116322
- 1.20.0

* Mon Dec 03 2007 Oden Eriksson <oeriksson@mandriva.com> 1.19.12-1mdv2008.1
+ Revision: 114551
- 1.19.12

* Thu Nov 22 2007 Oden Eriksson <oeriksson@mandriva.com> 1.19.10-1mdv2008.1
+ Revision: 111227
- import rsyslog


* Thu Nov 22 2007 Oden Eriksson <oeriksson@mandriva.com> 1.19.10-1mdv2008.1
- initial Mandriva package (fedora import)

* Wed Oct 03 2007 Peter Vrabec <pvrabec@redhat.com> 1.19.6-3
- remove NUL character from recieved messages

* Tue Sep 25 2007 Tomas Heinrich <theinric@redhat.com> 1.19.6-2
- fix message suppression (303341)

* Tue Sep 25 2007 Tomas Heinrich <theinric@redhat.com> 1.19.6-1
- upstream bugfix release

* Tue Aug 28 2007 Peter Vrabec <pvrabec@redhat.com> 1.19.2-1
- upstream bugfix release
- support for negative app selector, patch from 
  theinric@redhat.com

* Fri Aug 17 2007 Peter Vrabec <pvrabec@redhat.com> 1.19.0-1
- new upstream release with MySQL support(as plugin)

* Wed Aug 08 2007 Peter Vrabec <pvrabec@redhat.com> 1.18.1-1
- upstream bugfix release

* Mon Aug 06 2007 Peter Vrabec <pvrabec@redhat.com> 1.18.0-1
- new upstream release

* Thu Aug 02 2007 Peter Vrabec <pvrabec@redhat.com> 1.17.6-1
- upstream bugfix release

* Mon Jul 30 2007 Peter Vrabec <pvrabec@redhat.com> 1.17.5-1
- upstream bugfix release
- fix typo in provides 

* Wed Jul 25 2007 Jeremy Katz <katzj@redhat.com> - 1.17.2-4
- rebuild for toolchain bug

* Tue Jul 24 2007 Peter Vrabec <pvrabec@redhat.com> 1.17.2-3
- take care of sysklogd configuration files in %%post

* Tue Jul 24 2007 Peter Vrabec <pvrabec@redhat.com> 1.17.2-2
- use EVR in provides/obsoletes sysklogd

* Mon Jul 23 2007 Peter Vrabec <pvrabec@redhat.com> 1.17.2-1
- upstream bug fix release

* Fri Jul 20 2007 Peter Vrabec <pvrabec@redhat.com> 1.17.1-1
- upstream bug fix release
- include html docs (#248712)
- make "-r" option compatible with sysklogd config (248982)

* Tue Jul 17 2007 Peter Vrabec <pvrabec@redhat.com> 1.17.0-1
- feature rich upstream release

* Thu Jul 12 2007 Peter Vrabec <pvrabec@redhat.com> 1.15.1-2
- use obsoletes and hadle old config files

* Wed Jul 11 2007 Peter Vrabec <pvrabec@redhat.com> 1.15.1-1
- new upstream bugfix release

* Tue Jul 10 2007 Peter Vrabec <pvrabec@redhat.com> 1.15.0-1
- new upstream release introduce capability to generate output 
  file names based on templates

* Tue Jul 03 2007 Peter Vrabec <pvrabec@redhat.com> 1.14.2-1
- new upstream bugfix release

* Mon Jul 02 2007 Peter Vrabec <pvrabec@redhat.com> 1.14.1-1
- new upstream release with IPv6 support

* Tue Jun 26 2007 Peter Vrabec <pvrabec@redhat.com> 1.13.5-3
- add BuildRequires for  zlib compression feature

* Mon Jun 25 2007 Peter Vrabec <pvrabec@redhat.com> 1.13.5-2
- some spec file adjustments.
- fix syslog init script error codes (#245330)

* Fri Jun 22 2007 Peter Vrabec <pvrabec@redhat.com> 1.13.5-1
- new upstream release

* Fri Jun 22 2007 Peter Vrabec <pvrabec@redhat.com> 1.13.4-2
- some spec file adjustments.

* Mon Jun 18 2007 Peter Vrabec <pvrabec@redhat.com> 1.13.4-1
- upgrade to new upstream release

* Wed Jun 13 2007 Peter Vrabec <pvrabec@redhat.com> 1.13.2-2
- DB support off

* Tue Jun 12 2007 Peter Vrabec <pvrabec@redhat.com> 1.13.2-1
- new upstream release based on redhat patch

* Fri Jun 08 2007 Peter Vrabec <pvrabec@redhat.com> 1.13.1-2
- rsyslog package provides its own kernel log. daemon (rklogd)

* Mon Jun 04 2007 Peter Vrabec <pvrabec@redhat.com> 1.13.1-1
- Initial rpm build
